package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	TYPE            = "type"
	ROLE            = "role"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_EXAM_ROLE = "user_exam_role"
	EXAM_UID       = "exam_uid"
	EXAM_NAME      = "exam_name"
	EXAM_TYPE      = "exam_type"
	QUESTION_UID       = "_uid"
	COMPANY_UID        = "company_uid"
	CITY_UID        = "city_uid"
)

type UserExam struct {
	db.ModelWithUID
	UserUID  string `gorm:"type:char(32);index"`
	ExamUID string `gorm:"type:char(32);index"`
	Role     uint8 `gorm:"default:0"`
}
type Exam struct {
	db.ModelWithUID
	CompanyUID string `gorm:"type:char(32);index"`
	Name       string `gorm:"type:varchar(64)"`
	Type       uint8  `gorm:"default:0"`
}
type Question struct {
	db.ModelWithUID
	ExamUID string `gorm:"type:char(32);index"`
	UserUID  string `gorm:"type:char(32);index"`
	Title    string `gorm:"type:varchar(64)"`
	Content  string
}


func init() { db.CmdModels("", &UserExam{}, &Exam{}, &Question{}) }